You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     woodyca...@hotmail.com
Last committer: m...@freebsd.org
Ident:          $FreeBSD: head/finance/ledger/Makefile 385522 2015-05-06 
15:27:43Z mat $
Log URL:        
http://beefy8.nyi.freebsd.org/data/head-armv6-default/p399861_s289632/logs/ledger-3.1.log
Build URL:      
http://beefy8.nyi.freebsd.org/build.html?mastername=head-armv6-default&build=p399861_s289632
Log:

====>> Building finance/ledger
build started at Fri Oct 23 22:09:41 UTC 2015
port directory: /usr/ports/finance/ledger
building for: FreeBSD head-armv6-default-job-11 11.0-CURRENT FreeBSD 
11.0-CURRENT r289632 arm
maintained by: woodyca...@hotmail.com
Makefile ident:      $FreeBSD: head/finance/ledger/Makefile 385522 2015-05-06 
15:27:43Z mat $
Poudriere version: 3.1.9
Host OSVERSION: 1100079
Jail OSVERSION: 1100082




!!! Jail is newer than host. (Jail: 1100082, Host: 1100079) !!!
!!! This is not supported. !!!
!!! Host kernel must be same or newer than jail. !!!
!!! Expect build failures. !!!



---Begin Environment---
SHELL=/bin/csh
UNAME_p=armv6
UNAME_m=arm
ABI_FILE=/usr/lib/crt1.o
OSVERSION=1100082
UNAME_v=FreeBSD 11.0-CURRENT r289632
UNAME_r=11.0-CURRENT
LC_COLLATE=C
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
SAVED_TERM=screen
MASTERMNT=/usr/local/poudriere/data/.m/head-armv6-default/ref
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin
POUDRIERE_BUILD_TYPE=bulk
PKGNAME=ledger-3.1
OLDPWD=/
PWD=/usr/local/poudriere/data/.m/head-armv6-default/ref/.p/pool
MASTERNAME=head-armv6-default
SCRIPTPREFIX=/usr/local/share/poudriere
USER=root
HOME=/root
POUDRIERE_VERSION=3.1.9
SCRIPTPATH=/usr/local/share/poudriere/bulk.sh
LIBEXECPREFIX=/usr/local/libexec/poudriere
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
---End Environment---

---Begin OPTIONS List---
---End OPTIONS List---

--CONFIGURE_ARGS--

--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
XDG_DATA_HOME=/wrkdirs/usr/ports/finance/ledger/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/finance/ledger/work  
HOME=/wrkdirs/usr/ports/finance/ledger/work TMPDIR="/tmp" SHELL=/bin/sh 
CONFIG_SHELL=/bin/sh
--End CONFIGURE_ENV--

--MAKE_ENV--
XDG_DATA_HOME=/wrkdirs/usr/ports/finance/ledger/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/finance/ledger/work  
HOME=/wrkdirs/usr/ports/finance/ledger/work TMPDIR="/tmp" NO_PIE=yes 
SHELL=/bin/sh NO_LINT=YES PREFIX=/usr/local  LOCALBASE=/usr/local  
LIBDIR="/usr/lib"  CC="/nxb-bin/usr/bin/cc" CFLAGS="-O2 -pipe 
-mfloat-abi=softfp  -fno-strict-aliasing"  CPP="/nxb-bin/usr/bin/cpp" 
CPPFLAGS=""  LDFLAGS="" LIBS=""  CXX="/nxb-bin/usr/bin/c++" CXXFLAGS="-O2 -pipe 
-mfloat-abi=softfp -fno-strict-aliasing "  MANPREFIX="/usr/local" 
BSD_INSTALL_PROGRAM="install  -s -m 555"  BSD_INSTALL_LIB="install  -s -m 444"  
BSD_INSTALL_SCRIPT="install  -m 555"  BSD_INSTALL_DATA="install  -m 0644"  
BSD_INSTALL_MAN="install  -m 444"
--End MAKE_ENV--

--PLIST_SUB--
CMAKE_BUILD_TYPE="release"
OSREL=11.0
PREFIX=%D
LOCALBASE=/usr/local
RESETPREFIX=/usr/local
PORTDOCS=""
PORTEXAMPLES=""
LIB32DIR=lib
DOCSDIR="share/doc/ledger"
EXAMPLESDIR="share/examples/ledger"
DATADIR="share/ledger"
WWWDIR="www/ledger"
ETCDIR="etc/ledger"
--End PLIST_SUB--

--SUB_LIST--
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/share/ledger
DOCSDIR=/usr/local/share/doc/ledger
EXAMPLESDIR=/usr/local/share/examples/ledger
WWWDIR=/usr/local/www/ledger
ETCDIR=/usr/local/etc/ledger
--End SUB_LIST--

---Begin make.conf---
CC=/nxb-bin/usr/bin/cc
CPP=/nxb-bin/usr/bin/cpp
CXX=/nxb-bin/usr/bin/c++
AS=/nxb-bin/usr/bin/as
NM=/nxb-bin/usr/bin/nm
LD=/nxb-bin/usr/bin/ld
OBJCOPY=/nxb-bin/usr/bin/objcopy
SIZE=/nxb-bin/usr/bin/size
STRIPBIN=/nxb-bin/usr/bin/strip
SED=/nxb-bin/usr/bin/sed
READELF=/nxb-bin/usr/bin/readelf
RANLIB=/nxb-bin/usr/bin/ranlib
YACC=/nxb-bin/usr/bin/yacc
NM=/nxb-bin/usr/bin/nm
MAKE=/nxb-bin/usr/bin/make
STRINGS=/nxb-bin/usr/bin/strings
AWK=/nxb-bin/usr/bin/awk
FLEX=/nxb-bin/usr/bin/flex
CC=/nxb-bin/usr/bin/cc
CPP=/nxb-bin/usr/bin/cpp
CXX=/nxb-bin/usr/bin/c++
AS=/nxb-bin/usr/bin/as
NM=/nxb-bin/usr/bin/nm
LD=/nxb-bin/usr/bin/ld
OBJCOPY=/nxb-bin/usr/bin/objcopy
SIZE=/nxb-bin/usr/bin/size
STRIPBIN=/nxb-bin/usr/bin/strip
SED=/nxb-bin/usr/bin/sed
READELF=/nxb-bin/usr/bin/readelf
RANLIB=/nxb-bin/usr/bin/ranlib
YACC=/nxb-bin/usr/bin/yacc
NM=/nxb-bin/usr/bin/nm
MAKE=/nxb-bin/usr/bin/make
STRINGS=/nxb-bin/usr/bin/strings
AWK=/nxb-bin/usr/bin/awk
FLEX=/nxb-bin/usr/bin/flex
CC=/nxb-bin/usr/bin/cc
CPP=/nxb-bin/usr/bin/cpp
CXX=/nxb-bin/usr/bin/c++
AS=/nxb-bin/usr/bin/as
NM=/nxb-bin/usr/bin/nm
LD=/nxb-bin/usr/bin/ld
OBJCOPY=/nxb-bin/usr/bin/objcopy
SIZE=/nxb-bin/usr/bin/size
STRIPBIN=/nxb-bin/usr/bin/strip
SED=/nxb-bin/usr/bin/sed
READELF=/nxb-bin/usr/bin/readelf
RANLIB=/nxb-bin/usr/bin/ranlib
YACC=/nxb-bin/usr/bin/yacc
NM=/nxb-bin/usr/bin/nm
MAKE=/nxb-bin/usr/bin/make
STRINGS=/nxb-bin/usr/bin/strings
AWK=/nxb-bin/usr/bin/awk
FLEX=/nxb-bin/usr/bin/flex
CC=/nxb-bin/usr/bin/cc
CPP=/nxb-bin/usr/bin/cpp
CXX=/nxb-bin/usr/bin/c++
AS=/nxb-bin/usr/bin/as
NM=/nxb-bin/usr/bin/nm
LD=/nxb-bin/usr/bin/ld
OBJCOPY=/nxb-bin/usr/bin/objcopy
SIZE=/nxb-bin/usr/bin/size
STRIPBIN=/nxb-bin/usr/bin/strip
SED=/nxb-bin/usr/bin/sed
READELF=/nxb-bin/usr/bin/readelf
RANLIB=/nxb-bin/usr/bin/ranlib
YACC=/nxb-bin/usr/bin/yacc
NM=/nxb-bin/usr/bin/nm
MAKE=/nxb-bin/usr/bin/make
STRINGS=/nxb-bin/usr/bin/strings
AWK=/nxb-bin/usr/bin/awk
FLEX=/nxb-bin/usr/bin/flex
CC=/nxb-bin/usr/bin/cc
CPP=/nxb-bin/usr/bin/cpp
CXX=/nxb-bin/usr/bin/c++
AS=/nxb-bin/usr/bin/as
NM=/nxb-bin/usr/bin/nm
LD=/nxb-bin/usr/bin/ld
OBJCOPY=/nxb-bin/usr/bin/objcopy
SIZE=/nxb-bin/usr/bin/size
STRIPBIN=/nxb-bin/usr/bin/strip
SED=/nxb-bin/usr/bin/sed
READELF=/nxb-bin/usr/bin/readelf
RANLIB=/nxb-bin/usr/bin/ranlib
YACC=/nxb-bin/usr/bin/yacc
NM=/nxb-bin/usr/bin/nm
MAKE=/nxb-bin/usr/bin/make
STRINGS=/nxb-bin/usr/bin/strings
AWK=/nxb-bin/usr/bin/awk
FLEX=/nxb-bin/usr/bin/flex
CC=/nxb-bin/usr/bin/cc
CPP=/nxb-bin/usr/bin/cpp
CXX=/nxb-bin/usr/bin/c++
AS=/nxb-bin/usr/bin/as
NM=/nxb-bin/usr/bin/nm
LD=/nxb-bin/usr/bin/ld
OBJCOPY=/nxb-bin/usr/bin/objcopy
SIZE=/nxb-bin/usr/bin/size
STRIPBIN=/nxb-bin/usr/bin/strip
SED=/nxb-bin/usr/bin/sed
READELF=/nxb-bin/usr/bin/readelf
RANLIB=/nxb-bin/usr/bin/ranlib
YACC=/nxb-bin/usr/bin/yacc
NM=/nxb-bin/usr/bin/nm
MAKE=/nxb-bin/usr/bin/make
STRINGS=/nxb-bin/usr/bin/strings
AWK=/nxb-bin/usr/bin/awk
<snip>
SED=/nxb-bin/usr/bin/sed
READELF=/nxb-bin/usr/bin/readelf
RANLIB=/nxb-bin/usr/bin/ranlib
YACC=/nxb-bin/usr/bin/yacc
NM=/nxb-bin/usr/bin/nm
MAKE=/nxb-bin/usr/bin/make
STRINGS=/nxb-bin/usr/bin/strings
AWK=/nxb-bin/usr/bin/awk
FLEX=/nxb-bin/usr/bin/flex
MACHINE=arm
MACHINE_ARCH=armv6
ARCH=${MACHINE_ARCH}
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
#### /usr/local/etc/poudriere.d/make.conf ####
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
=======================<phase: check-sanity   >============================
===>  License BSD3CLAUSE accepted by the user
===========================================================================
=======================<phase: pkg-depends    >============================
===>   ledger-3.1 depends on file: /usr/local/sbin/pkg - not found
===>   Installing existing package /packages/All/pkg-1.6.1.txz
[head-armv6-default-job-11] Installing pkg-1.6.1...
[head-armv6-default-job-11] Extracting pkg-1.6.1: .......... done
Message from pkg-1.6.1:
If you are upgrading from the old package format, first run:

  # pkg2ng
===>   ledger-3.1 depends on file: /usr/local/sbin/pkg - found
===>   Returning to build of ledger-3.1
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===>  License BSD3CLAUSE accepted by the user
===> Fetching all distfiles required by ledger-3.1 for building
===========================================================================
=======================<phase: checksum       >============================
===>  License BSD3CLAUSE accepted by the user
===> Fetching all distfiles required by ledger-3.1 for building
=> SHA256 Checksum OK for ledger-ledger-v3.1_GH0.tar.gz.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===>  License BSD3CLAUSE accepted by the user
===> Fetching all distfiles required by ledger-3.1 for building
===>  Extracting for ledger-3.1
=> SHA256 Checksum OK for ledger-ledger-v3.1_GH0.tar.gz.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for ledger-3.1
===========================================================================
=======================<phase: build-depends  >============================
===>   ledger-3.1 depends on file: /usr/local/include/utf8.h - not found
===>   Installing existing package /packages/All/utf8cpp-2.3.4.txz
[head-armv6-default-job-11] Installing utf8cpp-2.3.4...
[head-armv6-default-job-11] Extracting utf8cpp-2.3.4: ....... done
===>   ledger-3.1 depends on file: /usr/local/include/utf8.h - found
===>   Returning to build of ledger-3.1
===>   ledger-3.1 depends on file: /usr/local/bin/cmake - not found
===>   Installing existing package /packages/All/cmake-3.3.1.txz
[head-armv6-default-job-11] Installing cmake-3.3.1...
[head-armv6-default-job-11] `-- Installing expat-2.1.0_3...
[head-armv6-default-job-11] `-- Extracting expat-2.1.0_3: .......... done
[head-armv6-default-job-11] `-- Installing cmake-modules-3.3.1...
[head-armv6-default-job-11] `-- Extracting cmake-modules-3.3.1: .......... done
[head-armv6-default-job-11] `-- Installing curl-7.45.0...
[head-armv6-default-job-11] |   `-- Installing ca_root_nss-3.20...
[head-armv6-default-job-11] |   `-- Extracting ca_root_nss-3.20: ....... done
[head-armv6-default-job-11] `-- Extracting curl-7.45.0: .......... done
[head-armv6-default-job-11] `-- Installing libarchive-3.1.2_4,1...
[head-armv6-default-job-11] |   `-- Installing lzo2-2.09...
[head-armv6-default-job-11] |   `-- Extracting lzo2-2.09: .......... done
[head-armv6-default-job-11] `-- Extracting libarchive-3.1.2_4,1: .......... done
[head-armv6-default-job-11] `-- Installing jsoncpp-0.6.0.r2_2...
[head-armv6-default-job-11] `-- Extracting jsoncpp-0.6.0.r2_2: .......... done
[head-armv6-default-job-11] Extracting cmake-3.3.1: .......... done
Message from ca_root_nss-3.20:
********************************* WARNING *********************************

FreeBSD does not, and can not warrant that the certification authorities
whose certificates are included in this package have in any way been
audited for trustworthiness or RFC 3647 compliance.

Assessment and verification of trust is the complete responsibility of the
system administrator.

*********************************** NOTE **********************************

This package installs symlinks to support root certificates discovery by
default for software that uses OpenSSL.

This enables SSL Certificate Verification by client software without manual
intervention.

If you prefer to do this manually, replace the following symlinks with
either an empty file or your site-local certificate bundle.

  * /etc/ssl/cert.pem
  * /usr/local/etc/ssl/cert.pem
  * /usr/local/openssl/cert.pem

***************************************************************************
===>   ledger-3.1 depends on file: /usr/local/bin/cmake - found
===>   Returning to build of ledger-3.1
===========================================================================
=======================<phase: lib-depends    >============================
===>   ledger-3.1 depends on shared library: libgmp.so - not found
===>   Installing existing package /packages/All/gmp-5.1.3_2.txz
[head-armv6-default-job-11] Installing gmp-5.1.3_2...
[head-armv6-default-job-11] `-- Installing indexinfo-0.2.3...
[head-armv6-default-job-11] `-- Extracting indexinfo-0.2.3: .... done
[head-armv6-default-job-11] Extracting gmp-5.1.3_2: .......... done
===>   ledger-3.1 depends on shared library: libgmp.so - found 
(/usr/local/lib/libgmp.so)
===>   Returning to build of ledger-3.1
===>   ledger-3.1 depends on shared library: libmpfr.so - not found
===>   Installing existing package /packages/All/mpfr-3.1.2_2.txz
[head-armv6-default-job-11] Installing mpfr-3.1.2_2...
[head-armv6-default-job-11] Extracting mpfr-3.1.2_2: .......... done
===>   ledger-3.1 depends on shared library: libmpfr.so - found 
(/usr/local/lib/libmpfr.so)
===>   Returning to build of ledger-3.1
===>   ledger-3.1 depends on shared library: libedit.so.0 - not found
===>   Installing existing package /packages/All/libedit-3.1.20150325_1.txz
[head-armv6-default-job-11] Installing libedit-3.1.20150325_1...
[head-armv6-default-job-11] Extracting libedit-3.1.20150325_1: .......... done
===>   ledger-3.1 depends on shared library: libedit.so.0 - found 
(/usr/local/lib/libedit.so.0)
===>   Returning to build of ledger-3.1
===>   ledger-3.1 depends on shared library: libboost_system.so - not found
===>   Installing existing package /packages/All/boost-libs-1.55.0_9.txz
[head-armv6-default-job-11] Installing boost-libs-1.55.0_9...
[head-armv6-default-job-11] `-- Installing icu-55.1...
[head-armv6-default-job-11] `-- Extracting icu-55.1: .......... done
[head-armv6-default-job-11] Extracting boost-libs-1.55.0_9: .......... done
Message from boost-libs-1.55.0_9:
You have built the Boost library with thread support.

Don't forget to add -pthread to your linker options when
linking your code.
===>   ledger-3.1 depends on shared library: libboost_system.so - found 
(/usr/local/lib/libboost_system.so)
===>   Returning to build of ledger-3.1
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for ledger-3.1
===>  Performing in-source build
/bin/mkdir -p /wrkdirs/usr/ports/finance/ledger/work/ledger-3.1
-- The C compiler identification is Clang 3.6.1
-- The CXX compiler identification is Clang 3.6.1
-- Check for working C compiler: /nxb-bin/usr/bin/cc
-- Check for working C compiler: /nxb-bin/usr/bin/cc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Detecting C compile features
CMake Error: Generator: execution of make failed. Make command was: 
"/usr/bin/make" "cmTC_adb57/fast"
-- Detecting C compile features - failed
-- Check for working CXX compiler: /nxb-bin/usr/bin/c++
-- Check for working CXX compiler: /nxb-bin/usr/bin/c++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Detecting CXX compile features
-- Detecting CXX compile features - done
-- Could NOT find PythonInterp (missing:  PYTHON_EXECUTABLE) 
-- Boost version: 1.55.0
-- Found the following Boost libraries:
--   date_time
--   filesystem
--   system
--   iostreams
--   regex
--   unit_test_framework
-- Looking for access
-- Looking for access - found
-- Looking for realpath
-- Looking for realpath - found
-- Looking for getpwuid
-- Looking for getpwuid - found
-- Looking for getpwnam
-- Looking for getpwnam - found
-- Looking for isatty
-- Looking for isatty - found
-- Performing Test UNIX_PIPES_COMPILES
-- Performing Test UNIX_PIPES_COMPILES - Success
-- Performing Test BOOST_REGEX_UNICODE_RUNS
-- Performing Test BOOST_REGEX_UNICODE_RUNS - Failed
-- Looking for readline in edit
-- Looking for readline in edit - found
-- Configuring incomplete, errors occurred!
See also 
"/wrkdirs/usr/ports/finance/ledger/work/ledger-3.1/CMakeFiles/CMakeOutput.log".
See also 
"/wrkdirs/usr/ports/finance/ledger/work/ledger-3.1/CMakeFiles/CMakeError.log".
*** Error code 1

Stop.
make: stopped in /usr/ports/finance/ledger
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to